Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003513Doomseeker[All Projects] Bugpublic2018-09-22 23:322018-10-13 17:41
ReporterWubTheCaptain 
Assigned ToZalewa 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003513: Missing a required URI or copy of CPOL license in third-party dependencies of updateinstaller tool (?)
DescriptionUpstream dependencies in updateinstaller tool have done a terrible bad job at following the license terms of CPOL (a non-free software license).

My recommendation: Add a copy of it to tools/updaterevision/ or root of the Doomseeker distribution.
Steps To ReproduceIn Doomseeker's source root directory:

$ grep -ir "This License governs Your use of the Work." . | wc -l
0
$ grep -ir "codeproject.com" .
./tools/updateinstaller/external/verpatch/src/verpatch-ReadMe.txt:http://www.codeproject.com/info/licenses.aspx

./tools/updateinstaller/external/verpatch/src/ReadMe.txt:http://www.codeproject.com/info/licenses.aspx

./tools/updateinstaller/external/verpatch/verpatch-ReadMe.txt:http://www.codeproject.com/info/licenses.aspx

./tools/updateinstaller/external/win32cpp/3rd Party Software/ADO Class/About.TXT:http://www.codeproject.com/KB/database/caaadoxclass.aspx

./tools/updateinstaller/external/win32cpp/3rd Party Software/GridControl/About.TXT:http://www.codeproject.com/KB/miscctrl/DataGridControl.aspx


Notice none of those actually link to the license text directly.
Additional Information0003237

Article 5(e):https://www.codeproject.com/info/cpol10.aspx [^]

Code Project Open License on Wikipedia

An additional issue comes with article 9 license termination; Any distribution by the Doomseeker core developers (whom have been involved with distributing the source code) may be an infringing rights of those who licensed their software under CPOL, without negotiating with the appropriate copyright holders to reinstate rights to the license.
Attached Files

- Relationships
child of 0003237resolvedWubTheCaptain Non-free files and copyright issues in source archive 

-  Notes
User avatar (0020015)
WubTheCaptain (developer)
2018-10-08 11:26
edited on: 2018-10-08 12:01

I won't be filing upstream bugs about this, and I don't have a GitHub account.

As much as I reject this being in the source distribution anyway, I thought it would've been as simple as adding the CPOL license (which they only provide in HTML format, yuck) or URL to the source distribution. But then I forgot, "I need to do this for executables too" and I have no way of testing that.

User avatar (0020093)
Zalewa (developer)
2018-10-13 14:04

Problem gone?
https://bitbucket.org/Doomseeker/doomseeker/commits/a8d2c65dfd6ea5f48c1bf93e74bda57c964e78f8 [^]
User avatar (0020104)
WubTheCaptain (developer)
2018-10-13 17:41

verpatch tool and "win32cpp/3rd Party Software" removed by Zalewa's commit. No more CPOL licensed files should exist.

I also did a string search with grep, and found no references to these removed files to be useful.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-09-22 23:32 WubTheCaptain New Issue
2018-09-22 23:32 WubTheCaptain Relationship added child of 0003237
2018-09-24 01:18 Blzut3 Target Version => 1.2
2018-09-27 02:32 WubTheCaptain Assigned To => WubTheCaptain
2018-09-27 02:32 WubTheCaptain Status new => acknowledged
2018-09-27 02:32 WubTheCaptain Assigned To WubTheCaptain =>
2018-10-08 11:20 WubTheCaptain Assigned To => WubTheCaptain
2018-10-08 11:20 WubTheCaptain Status acknowledged => assigned
2018-10-08 11:24 WubTheCaptain Assigned To WubTheCaptain =>
2018-10-08 11:26 WubTheCaptain Note Added: 0020015
2018-10-08 11:26 WubTheCaptain Status assigned => acknowledged
2018-10-08 12:01 WubTheCaptain Note Edited: 0020015 View Revisions
2018-10-12 18:16 Zalewa Assigned To => Zalewa
2018-10-12 18:16 Zalewa Status acknowledged => assigned
2018-10-13 14:04 Zalewa Note Added: 0020093
2018-10-13 14:04 Zalewa Status assigned => needs review
2018-10-13 16:16 WubTheCaptain Status needs review => needs testing
2018-10-13 17:41 WubTheCaptain Note Added: 0020104
2018-10-13 17:41 WubTheCaptain Status needs testing => resolved
2018-10-13 17:41 WubTheCaptain Fixed in Version => 1.2
2018-10-13 17:41 WubTheCaptain Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker